Bug 20481 - pump appears to fail when using DHCP in multiple subnets
pump appears to fail when using DHCP in multiple subnets
Product: Red Hat Linux
Classification: Retired
Component: pump (Show other bugs)
i386 Linux
high Severity high
: ---
: ---
Assigned To: Elliot Lee
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2000-11-07 13:40 EST by Andy Vrabel
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-08-01 13:43:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andy Vrabel 2000-11-07 13:40:09 EST
When I configure DHCP for multiple NICs in the same machine and the NICs
are attached to different subnets, only the first NIC learns an address and
comes up. In my test network, I have 2 NICs, one in a subnet and
the other in a subnet. The first NIC comes up, sends a DHCP
discovery frame and gets an address, say, from the DHCP server. 
A DHCP discovery frame is never sent from the second NIC. Instead, it
appears to broadcast a frame from to (I didn't
have a sniffer handy to see what this broadcast frame was). Eventually,
pump appears to fail and the interface is ifconfig'ed down.
Comment 1 Allen Lau 2000-12-15 16:19:42 EST
Pump uses UDP Datagram Socket to broadcast DHCP DISCOVERY packets. 
When the interfaces are not yet configured with any IP address, BIND is picking
source address from the top of the list of Interface addresses to put in the
DISCOVRE packet. 

This is not a problem on a system with one network adapter. With two or more
adapters running
dhcp on different subnets, all pump clients will fail except the one on the
first adapter (it's because
pump sends out DISCOVER packets on the second adapter with the source IP address
of the 
first adatper. The DHCP server will not see these DISCOVER packet). 

Comment 2 Elliot Lee 2001-07-20 11:56:30 EDT
Apologies for the unresponsiveness of the previous pump packager...

Does dhcpcd handle multiple interfaces better? It is used in rawhide.
Comment 3 Glen Foster 2001-08-01 13:42:56 EDT
Closing at customer's request.
Comment 4 Elliot Lee 2001-08-07 23:57:35 EDT
Close bug for real.

Note You need to log in before you can comment on or make changes to this bug.